Subject: bug#35025: [PATCH 1/1] htmlfontify-buffer read-only text

From: Michael Brumlow <[email-masked]>
Date: Wed, 27 Mar 2019 17:22:27 -0500

When trying to htmlfontify read only text I ran into a issue when 
trying to copy
a read only ERC buffer. It failed because the text copied had the 
property of
being read only. I found where hfy-fontify-buffer tries to remove 
the text
properties but fails to do so because the text is read only.

By adding (inhibit-read-only t) in the let statement at the top of 
the function
I was able to correct this issue.

Patch attached.

diff --git a/lisp/htmlfontify.el b/lisp/htmlfontify.el
index 9fc029ec58..131d719fad 100644
--- a/lisp/htmlfontify.el
+++ b/lisp/htmlfontify.el
@@ -1652,7 +1652,8 @@ hfy-fontify-buffer
 SRCDIR, if set, is the directory being htmlfontified.
 FILE, if set, is the file name."
   (if srcdir (setq srcdir (directory-file-name srcdir)))
-  (let* ( (html-buffer        (hfy-buffer))
+  (let* ( (inhibit-read-only             t)
+          (html-buffer        (hfy-buffer))
           (css-sheet                   nil)
           (css-map                     nil)
           (invis-ranges                nil)